###

###

###

###

###

###

###

    PUTENV(3)           Linux Programmer's Manual           PUTENV(3)

    NAME
           putenv - change or add an environment variable

    SYNOPSIS
           #include <stdlib.h>

           int putenv(const char *string);

    DESCRIPTION
           The  putenv()  function adds or changes the value of envi-
           ronment variables.  The argument string  is  of  the  form
           name = value.  If name does not already exist in the envi-
           ronment, then string is added to the environment.  If name
           does  exist,  then the value of name in the environment is
           changed to value.

    RETURN VALUE
           The putenv() function returns zero on success, or -1 if an
           error occurs.

    ERRORS
           ENOMEM Insufficient space to allocate new environment.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3

### SEE ALSO

getenv, setenv, unsetenv,

###

    GNU                       April 8, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0